# Class EchoRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.FontLineShapeRenderer
org.jmol.render.LabelsRenderer
org.jmol.render.EchoRenderer

public class EchoRenderer extends LabelsRenderer

## Field Summary

### Fields inherited from class LabelsRenderer

`ascent, atomPt, bgcolix, descent, labelColix, mode, pTemp, sppa, textAlign, xy, zSlab`

### Fields inherited from class FontLineShapeRenderer

`asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, pymoldashes, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`EchoRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`

### Methods inherited from class LabelsRenderer

`renderLabelOrMeasure, renderText, setRenderVars`

### Methods inherited from class FontLineShapeRenderer

`checkTickTemps, drawDashedCylinder, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EchoRenderer

public EchoRenderer()

## Method Details

### render

protected boolean render()

Overrides:
  `render` in class `LabelsRenderer`